AutoCAD 2010 :: Changing 0.050 Dia Circles To Two Lines (x On The Center Point)

Feb 19, 2013

change all circles of a certain diameter in a .dxf file to points. I received the following lisp file. For the last 10-12 years it has worked great. We create many custom sized parts that could be cut on a plasma (utilizing the circles for holes) or punched, assigning a crosshair tool to the point. Now we are switching to a laser, and want to etch a crosshair at this same location. Our solution has been to draw the crosshair and copy to each required location. Sometimes this may be 20 to 30 locations. Now I would like to know if there is a way to replace all of these circles with a crosshair. This could be a similar lisp file, or an easier manual operation. I know that I can select all of the circles using the filter command and specifying the radius. But I don't know how to assign the 'crosshair' to these locations. (defun c:ctopt ( / ename cnt ss) (setq ss (ssget "x" '((0 . "CIRCLE")))) (if ss (progn (setq cnt 0) (repeat (sslength ss) (setq ename (ssname ss cnt)) (if (equal (cdr (assoc 40 (entget ename))) 0.025 0.005) ;use this line for a radius 0.025 +/- 0.00015 ;(<= (cdr (assoc 40 (entget ename))) 0.05) ;use this line for a radius of 0.05 or less (progn (entmake (list '(0 . "POINT") (assoc 10 (entget ename))(assoc 8 (entget ename)))) (entdel ename) )) (setq cnt (1+ cnt)) ) ) ) (princ) )

View 3 Replies


ADVERTISEMENT

3ds Max Modeling :: Placing Circles By Center Point?

Jul 1, 2013

I am using to export meshes to OpenGL ES for the Android. What I would like to do is place a rectangle with one corner at (1,1,0) and the other corner at (-1,-1,0) which represents the two corners of the Android screen in OpenGL ES. How would that best be done in 3D Studio MAX?

View 1 Replies View Related

AutoCAD 2010 :: How To Find The Tangent Point Of 2 Circles

Dec 12, 2012

I want to find the tangent intersection point between 2 circles within certain conditions.

Circle 1 is r: 30 m and is fixed.

Circle 2 is r: 20 m and its position is inside circle 1.

Circle 2 can be moved in a given angle.

The question is: what distance should circle 2 move, to become tangent with circle 1.

View 4 Replies View Related

AutoCAD 2010 :: Trimming Circles Against Tangent Lines?

Sep 30, 2013

I am working with a drawing provided to me by someone else, and where there should be arcs they have  multiple line segments. I need a radius for what I'm doing, so I drew a circle with TTR and then tried to trim against the tangent lines to get my arc. However, sometimes this works and sometimes it doesn't. why this doesn't always work?

View 5 Replies View Related

AutoCAD Visual LISP / AutoLISP :: One Button Changing Text Base Point To Be Middle Center

Aug 23, 2011

how to make a toolbar button so that when i click it and select a few single text, it will automatically change the text base point to be at "MIDDLE CENTER"....

At the moment, i use to create a button with macro of  " ^C^C_text;j;mc "....But the problem is whenever i use this button, i still need to type "MC" at the command prompt.. How to make it so that after i click the button, all i need to to is just select the text..

View 9 Replies View Related

AutoCAD Inventor :: Get Center Point To Show Up As Dot As It Did In 2010?

Oct 17, 2011

how to I get my center point to show up as a dot as it did in inventor 2010 so I can use it as a point to constrain sketches to?

View 7 Replies View Related

AutoCAD 2010 :: Insert JPEG Via Center Point

Feb 24, 2012

When inserting a jpeg into a drawing is it possible to insert it via it's center point?  I am inserting utillity drawings on to an OS background and if i could insert via the center point it would save me a lot of time.

View 3 Replies View Related

AutoCAD 2010 :: Solid Hatch Appearing As Lines From Center Of Block

Dec 3, 2012

I have a problem with a File in Autocad.

We have a dynamic block here at work that has a solid hatch in it. It is a simple block which only utilizes a dropdown menu.

This block is a circle with a solid hatch in it. However when I select the block via dropdown menu, the hatch is not solid, it is a bunch of lines originating from the center of the circle.

I have never had this problem before with this block and nothing has changed with the block.

It also works fine when I open up other drawings.

This tells me that there is a problem with the settings of this specific file but I cannot figure out what setting.

I believe the problem occurred because I brought my work home with me and I have different settings on my autocad (both ACAD 2011).

View 1 Replies View Related

Photoshop :: Center Point Of Circle Different Than Center Point Of Polygon

Apr 5, 2013

In Photoshop / Illustrator, when I create a polygon, and rotate it around it's center point it wobbles. When I scribe it inside of a perfect circle, and rotate it around the circle's center point it rotates smoothly. Basically proving that (at least according to these Adobe products) that the center point of a circle is different than the center point of a polygon scribed inside of it.

An image – the dots in the center are the corresponding center points according to Adobe:

[URL].......

This is incorrect according to basic math. Is Adobe aware of this bug?

View 4 Replies View Related

AutoCAD 2010 :: Select All Lines And Changing Dimension Style

Aug 9, 2012

I just got a new job with AutoCAD 2011. In the previous version (was using 2008 beore), I could select all lines, dimensions hatches, and then change the dimension style. But with this new version, as soon as I select anything that is not a dimension, like a hatch pattern or a regular line, I can't change the dimension style anymore. Is there anyway to change this back to how it was?

View 2 Replies View Related

AutoCad :: Center Mark For Several Circles At Once

Jun 1, 2009

Is it possible to put a center mark on multiple circles instead of one at a time?

View 9 Replies View Related

AutoCAD 2010 :: Scale Drawing With Dimension Lines Without Changing Dimensions?

Jul 4, 2013

How to scale drawing with dimension lines without changing dimensions in dimension lines? I got drawing with correct dimension lines but geometry is wrong.

View 7 Replies View Related

AutoCAD Inventor :: Setting Up Point On Different Layer To Mark Center Point Of Circle?

Nov 15, 2012

I need to find a way how to insert a point or a * on the center point of a hole and put it on a different layer. The reason for this is - I am a CAD tech for a welding shop and we cut parts out of steel and we use the dxf file format for our plasma table to cut parts. For example : if i have a 1 inch thick plate and want to put a 3/4'' hole in the plate the hole will be distorted because the hole is smaller than the material thickness. For these situation we can use the plasma table to burn a point or a dot on the center point of the hole. But to do this the point or dot must be on a different layer in the dxf.

View 2 Replies View Related

AutoCad :: Add Point / Node To Multiple Circles

Jan 6, 2012

I wanted to know if there is a way to add points/nodes to all the centers of all the circles in my drawing with only a few steps, vs picking 700 circles one at a time using( _point) command.

maybe there is a lisp for this?

View 2 Replies View Related

Illustrator :: Drawing Circles From Center And Concentric

May 5, 2013

how to draw a circle with its center at the starting cursor location of the drag motion?  It's given that the ellipse shape tool is chosen.Neither simultaneously depressing the shift or control key concurrent with the drag motion accomplishes this objective. any simple way to draw concentric circles each of which has a randomly chosen diameter and varying stroke width?  The polar grid tool isn't relevant to this objective.

View 3 Replies View Related

AutoCad 2D :: Make Center Lines Intersect On Lines And Not On Free Spaces?

Oct 26, 2011

what I have to do, in AutoCAD, to make two center lines to intersect on lines and not on free spaces.

View 9 Replies View Related

AutoCAD Inventor :: How To Automatically Show The Tweak Lines Or Center Lines On Explode Path

Dec 16, 2011

I know there is ipn file to create an exploded view. But if I have used a positional rep to create one. How can I automatically show the tweak lines or center lines on explode path

Inventor Professional 2013
Vault Collaboration 2013

View 2 Replies View Related

AutoCad :: Connecting Lines And Circles

Mar 21, 2011

Im having a little issue with connecting lines and circles but not sure how to shorten the question to do a search on here. I have 2 concentric circles (the two circles form the walls of a round tower wall) which have 2 lines (representing a wall) passing through them. I want to join the circles from the circumference to the lines, but each time I try to do it the line seems to default to the center of the circles and to the endpoints of the lines which is not what I want. The eventual aim will be to remove a section of the circles and the lines where the new line connects to them to form an opening in the walls.

Ive tried <shift>right click and selecting tangent on the circles but I cant figure out what to do on the lines and it constantly defaults to the end of the line not to where I want to intersect the lines.

View 7 Replies View Related

AutoCad 3D :: Get Two Circles Joined By Two Lines?

Apr 27, 2011

Like when I draw a cylinder, instead of a solid cylinder I get two circles joined by two lines. How do I change this so that I get the solid?

View 3 Replies View Related

AutoCAD Inventor :: Edit Dim Lines And Center Lines

Sep 2, 2010

I am new to Inventor after using Unigraphics for a while and finding the modelling side very similar so no problems there. the problems are starting when i am producing drawings.

I am trying to manually break a dimension extension line around an inserted symbol ( surface finish symbol) and can't figure this out. I have noticed that Inventor automatically break dimensions round other dimensions but is there a way to add a manual break?

Also is there a way to break a center-line round dimension text? i have added a picture with the problem.

View 5 Replies View Related

AutoCAD LT :: Unable To Draw Circles And Lines

Oct 19, 2011

I am not able to draws circles and lines etc. using the ribbon or the command line.  i am using the correct procedures per the tutorials and I have Google search how to add circles.  I click the circle on the ribbon, choose my center point and drag to choose the radius, left click and no circle, same procedure for a simple line. 

Is there something that needs to be activated for these to work?  I have an activation code which I do not remember using when I installed the software, I only remember using the serial number and product key. 

View 9 Replies View Related

AutoCAD 2010 :: Keep Center Mark At Center Of Circle Or Arc?

Apr 23, 2012

How to keep the “center mark” at the center of the circle or arc?
 
I wanted to keep the “center mark” at the center of the circle but sounds not to work!
 
Is there a way? Or do we need to draw it using the “point” command?

Software: AutoCAD 2014, AutoCAD C3D, AutoCAD M3D, Revit
Windows 7 (Ultimate 64 bits),
Firefox 20.0,
Kaspersky 2013.

View 4 Replies View Related

AutoCAD 2013 :: Trimming Lines With Circles Or Ellipses?

Sep 11, 2013

I drawning 2 circle as radius 250mm.the  distance between two circle is 0.08mm I drawing one line segment between two circle and I Expanding line segment as length 20mm.then I offset this line The amount 2.5 mm in vertical side up.

When I trim these horizontal line that are Cross-Being with two circle the Remaining line segment is shorter than real distance between two arcs I thinks its happening?

Also I attached 7 pics I try show my problem.

Also when I want obtain horizontal distance with distance command or by linear the intersection is not start from circumference.

whats this and how I can get real  horizontal distance between two arcs

View 9 Replies View Related

CorelDRAW Graphics Suite X6 :: Ellipses / Circles / Pies And Arcs Not Rotating About Center

Nov 16, 2012

I have two adjacent circles.  I created two tangent lines between them on opposite sides.  I want to connect the lines to the circles.  So - I make the circle into a pie, and with the node editing tool, drag the nodes around until I see the little info text go from edge to "node" where it snaps on the nope of the line.

Before I start this, the lines are perfectly tangent.  When complete, the lines are no longer tangent and the circle is shifted upwards, and is moved off the perfect tangent by different amount for each line.  I can see a difference at 3200% and 11000% zoom at 0.5 point lines.

This occurs if I rotate the circle, or make the circle into an arc also.

It seems that when the circle is drawn, the center point about which its rotated, and from where the arcs/pies are drawn is not exactly center.  This is happening when I manually rotate it.  It I rotate it giving it a specific degree in the properties bar across the top, it rotates fine.  For instance, repeating this again, the arcs of the circle is below one line, and above the other live by a lesser degree.

View 5 Replies View Related

AutoCAD Inventor :: Make Part Of Different Tubes By Sweeping Circles Along Lines?

Oct 29, 2013

I'm trying to make a part of different tubes by sweeping circles along lines. However one side of the part joins correctly, but other not. I'ill add photos of correct smooth join and uncorrencly unsmooth.

View 3 Replies View Related

AutoCad :: PDF Missing Border Lines Around Circles And Ellipses As Well As Some Bleeding Of Colors

Mar 3, 2012

I have put several drawings into the Publish> DWG>>> PDF mode.

The PDF comes out missing little bits of border lines around circles and elipses as well as some bleeding of colors.

View 1 Replies View Related

Photoshop :: Circles Changing When Rotated

Dec 11, 2007

I'm trying to create a white ring that will move on top of a grey ring (for a video). However, even though I used the fixed aspect ratio, & copied the grey ring to make the white ring, with both in the same position; whenever I rotate the top (white) ring, it doesn't line up with the grey ring underneath at certain points, it seems to be not a perfect circle. So when I add the two images into a video editor & rotate the white ring, it doesn't line up with the grey ring below.

View 3 Replies View Related

AutoCAD 2010 :: Random Red Circles

Jan 7, 2010

I appear to have two red circle which I did not create on drawing in model space. I am assuming it is some sort of error but can not figure it out. On my layout tab viewports containing the section does not show, only the red circle.

View 6 Replies View Related

AutoCAD 2010 :: Over Kill For Circles

Oct 11, 2012

I have a drawing that has a heap of circle that have two on  top of each other. Overkill works for lines and arcs, but I can't seem to get it to work for circles. Is there another way to get rid of one of the circles? We will be using the file in CAM software so two on top of each other is a pain.

View 4 Replies View Related

AutoCAD 2010 :: Drawing A Pattern Of Circles?

Jul 9, 2012

I am trying to make a hexagonal lattice of circles (1 micron dia, period - 3 microns) and exted it over a square cm in area atleast. The final objective is to make this as a mask pattern for the Laser fabrication/writer. So I create the pattern over a small area and use array command to extend it over a finite area (~500 microns or so). I then combine these points to a single block and then use the mirror command to extend it even further. But as soon as I reach an area of 2.5 mm square, the program seems to slow down and doesnt respond. I assume this is the limitation of my computing power to handle so many objects at once. (I have 4 GB RAM and 97 % is utilized at this time). Is there a way to circumvent this computing limitation, making use of some facility/command within AutoCAD?

View 4 Replies View Related

CorelDRAW X6 :: Changing Multiple Object Parameters (Size Of All Circles)

Aug 22, 2013

Any way to change the size of the circles that I made so that they all enlarge yet keep their respected positions. So for the example below, I would like to just enlarge the circles and not the rest. If I select all the circles and drag them to enlarge, they lose their position. Is there a way to do this? This script [URL] ...... doesn't work for x6 but I think it is what I might need, correct?

View 4 Replies View Related







Copyrights 2005-15 www.BigResource.com, All rights reserved